Package twisted :: Package popsicle :: Module mailsicle :: Class DefaultSaver |
[show private | hide private]
[frames | no frames]

## Class DefaultSaver

    Adapter --+
              |
             DefaultSaver

Known Subclasses:
  `PerspectiveSaver`, `IdentitySaver`

Method Summary
| ``__init__`(self, original)` Set my 'original' attribute to be the object I am adapting. (inherited from `Adapter`)
| ``descriptiveName`(self)` Return a pretty-printed (non-unique) name describing me.
| ``getComponent`(self, interface, registry, default)` I forward getComponent to self.original on the assumption that it is an instance of Componentized. (inherited from `Adapter`)
| ``getContinuations`(self)` Get a list of 'continuation' sections.
| `getIndexes(self)`
| ``getItems`(self)` Get a list of tuples of strings, [(key, value), ...].
| ``loadContinuations`(self, cont)` Take the result of a getContinuations() call and populate self.original.
| `loaditem_class(self, kv, vv)`
| `loaditem_oid(self, kv, vv)`
| ``loadItems`(self, items, toplevel)` Take the result of a getItems() call and populate self.original.
| `postLoad(self)`
| `preLoad(self)`

Class Variable Summary
`MetaInterface` | `__implements__`

Method Details

### descriptiveName(self) Return a pretty-printed (non-unique) name describing me.

### getContinuations(self) Get a list of 'continuation' sections. This is a list of lists of tuples.

### getItems(self) Get a list of tuples of strings, [(key, value), ...].

### loadContinuations(self, cont) Take the result of a getContinuations() call and populate self.original.

### loadItems(self, items, toplevel) Take the result of a getItems() call and populate self.original. 'toplevel' is the top-level object if this is a continuation, otherwise it is self.original

Class Variable Details

    ### __implements__ Type: `MetaInterface` Value:
        <class 'twisted.popsicle.mailsicle.IHeaderSaver'>

Generated by Epydoc 1.1 on Thu May 8 13:18:35 2003 | http://epydoc.sf.net